uniform sampler2D alpha;
uniform float layer;
void main()
{
	//-gl_FragColor = vec4(layer,layer,layer,texture2D(alpha, gl_TexCoord[0].xy))
	gl_FragColor=vec4(layer,layer,layer,texture2D(alpha, gl_TexCoord[0].xy).r);
}
